This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 193739 - mdadm show discs as active even not active (-Q --examine)
mdadm show discs as active even not active (-Q --examine)
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mdadm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-31 21:18 EDT by Milan Kerslager
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 17:24:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2006-05-31 21:18:56 EDT
mdadm -Q --examine /dev/sdb1 shows offline members as "active sync" even this is
not true. This leads to make bad assumptions to the state of the array. IIRC
failed and offline members has been marked in the older versions od mdadm.
Comment 1 Doug Ledford 2006-07-05 16:28:43 EDT
There really isn't enough information for me to go off of here.  The mdadm -Q
--examine command just reads the superblock from the hard disk and prints out
what it says.  That superblock is not guaranteed to reflect reality if the drive
you are reading from has been kicked from the array.  In order to see what you
are referring to, can you please post the contents of /proc/mdstat and the
output of mdadm -Q --examine that you say are not in agreement.
Comment 2 Milan Kerslager 2006-07-05 17:14:57 EDT
You are right. Please close as NOTABUG. I'm not able to close this bug even I'm
the reporter :-( [this is a bug of Bugzila, isn't it]

Note You need to log in before you can comment on or make changes to this bug.